# Class SampMode

java.lang.Object
uk.ac.starlink.ttools.mode.SampMode

All Implemented Interfaces:
  `ProcessingMode`

public class SampMode extends Object implements ProcessingMode
Processing mode for sending the table to other subscribed clients using the SAMP tool interop protocol.

Since:
  7 Jan 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SampMode()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`TableConsumer`
`createConsumer(uk.ac.starlink.task.Environment env)`
Creates a TableConsumer, deriving any additional required configuration from a given environment.
`uk.ac.starlink.task.Parameter<?>[]`
`getAssociatedParameters()`
Returns a list of any parameters which are associated with this mode.
`String`
`getDescription()`
Returns a textual description of this processing mode.
`static org.astrogrid.samp.Metadata`
`getStiltsMetadata()`
Returns metadata describing the STILTS application as a SAMP client.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SampMode

public SampMode()
Constructor.

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `ProcessingMode`
Returns a textual description of this processing mode. This will be included in the user document so should be in XML.

Specified by:
  `getDescription` in interface `ProcessingMode`
Returns:
  textual description of this mode

### getAssociatedParameters

public uk.ac.starlink.task.Parameter<?>[] getAssociatedParameters()
Description copied from interface: `ProcessingMode`
Returns a list of any parameters which are associated with this mode.

Specified by:
  `getAssociatedParameters` in interface `ProcessingMode`
Returns:
  parameter list

### createConsumer

public TableConsumer createConsumer(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from interface: `ProcessingMode`
Creates a TableConsumer, deriving any additional required configuration from a given environment.

Specified by:
  `createConsumer` in interface `ProcessingMode`
Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`

### getStiltsMetadata

public static org.astrogrid.samp.Metadata getStiltsMetadata()
Returns metadata describing the STILTS application as a SAMP client.

Returns:
  metadata